package com.yihu.jw.restmodel.base.patient;

import com.yihu.jw.restmodel.IntegerIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 
 * 意见反馈vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2018年11月27日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "FeedbackVO", description = "意见反馈")
public class FeedbackVO extends IntegerIdentityVO{

    /**
	 * 问题小类（功能异常-某些功能不可用等）
	 */
	@ApiModelProperty(value = "问题类型（功能异常-无法使用功能，功能优化-不好用、界面难看，新功能建议-你希望有什么功能，其他-其他任何问题）")
    private String type;

    /**
	 * 反馈内容，问题和建议
	 */
	@ApiModelProperty(value = "反馈内容，问题和建议", example = "模块1")
    private String feedbackContent;

    /**
	 * 图片，存图片地址，逗号分割
	 */
	@ApiModelProperty(value = "图片，存图片地址，逗号分割", example = "模块1")
    private String img;

    /**
	 * 联系手机号码
	 */
	@ApiModelProperty(value = "联系手机号码", example = "模块1")
    private String mobile;

    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }

    public String getFeedbackContent() {
        return feedbackContent;
    }
    public void setFeedbackContent(String feedbackContent) {
        this.feedbackContent = feedbackContent;
    }

    public String getImg() {
        return img;
    }
    public void setImg(String img) {
        this.img = img;
    }

    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
}